<div class="signup-wrapper" fxLayout="row" fxLayoutAlign="center center">
  <mat-card class="box">
    <mat-card-header fxLayout="row" fxLayoutAlign="center">
      <mat-card-title>Sign Up</mat-card-title>
    </mat-card-header>

    <p *ngIf="serverErrorMessage" class="server-error-message">{{serverErrorMessage}}</p>

    <form [formGroup]="myForm" (ngSubmit)="signup()" novalidate class="signup-form" autocomplete="off">
      <mat-card-content>
        <mat-form-field appearance="outline" class="signup-full-width">
          <mat-label>Email Address</mat-label>
          <input matInput formControlName="email" type="email" name="email" id="email">
          <mat-error *ngIf="errorHandling('email', 'required')">Email Address is required</mat-error>
        </mat-form-field>

        <mat-form-field appearance="outline" class="signup-full-width">
          <mat-label>Username</mat-label>
          <input matInput formControlName="username" type="text" name="username" id="username">
          <mat-error *ngIf="errorHandling('username', 'required')">Username is required</mat-error>
        </mat-form-field>

        <mat-form-field appearance="outline" class="signup-full-width">
          <mat-label>Password</mat-label>
          <input matInput formControlName="password" type="password" name="password" id="password">
          <mat-error *ngIf="errorHandling('password', 'required')">Password is required</mat-error>
        </mat-form-field>

        <mat-form-field appearance="outline" class="signup-full-width">
          <mat-label>Contact Number</mat-label>
          <input matInput formControlName="phoneNumber" type="text" name="phoneNumber" id="phoneNumber">
          <mat-error *ngIf="errorHandling('phoneNumber', 'required')">Contact Number is required</mat-error>
        </mat-form-field>

        <!-- TODO: how to use 'else' clause -->
        <button *ngIf="!isSigningUp" mat-flat-button color="primary" class="btn-block">Sign Up</button>
        <button *ngIf="isSigningUp" mat-stroked-button color="primary" class="btn-block" disabled>
          <div fxLayout="row" fxLayoutAlign="center center">
            <mat-spinner [diameter]="30" color="accent"></mat-spinner>
          </div>
        </button>
      </mat-card-content>
    </form>
  </mat-card>
</div>